﻿<cfquery name="getOfferings" datasource="#application.dsn#">
	SELECT     top 1 tblOfferings.ot_offeringName, tblOfferings.ot_offeringID, tblOfferings.ot_offeringDescripton, tblOfferings.ot_offeringStartDate, tblOfferings.ot_offeringEndDate, tblVintner.vt_name, 
					  tblWineTypes.wtt_name, tblRegion.rt_country, tblRegion.rt_region, tblWines.wt_qtyOnHand, tblWines.wt_maxQtyPerOrder, 
					  tblVarieties.vt_name AS Expr1, tblWines.wt_year, tblWines.wt_shortDescription, tblWines.wt_description, tblWines.wt_readilyAvailable, 
					  tblWines.wt_price, tblWines.wt_wineID, tblWines.wt_offeringID
	FROM         tblOfferings INNER JOIN
					  tblWines ON tblOfferings.ot_offeringID = tblWines.wt_offeringID INNER JOIN
					  tblVintner ON tblWines.wt_vintnerID = tblVintner.vt_vintnerID INNER JOIN
					  tblWineTypes ON tblWines.wt_wineTypeID = tblWineTypes.wtt_ID INNER JOIN
					  tblRegion ON tblWines.wt_regionID = tblRegion.rt_id INNER JOIN
					  tblVarieties ON tblWines.wt_varietiesID = tblVarieties.vt_id
	WHERE	tblOfferings.ot_offeringStartDate >= '#DateFormat(Now(),'yyyy-mm-dd')#'


</cfquery>

<cfquery name="getPastOfferings" datasource="#application.dsn#">
	SELECT     tblOfferings.ot_offeringName, tblOfferings.ot_offeringDescripton, tblOfferings.ot_offeringStartDate, tblOfferings.ot_offeringEndDate, tblVintner.vt_name, 
					  tblWineTypes.wtt_name, tblRegion.rt_country, tblRegion.rt_region, tblWines.wt_qtyOnHand, tblWines.wt_maxQtyPerOrder, 
					  tblVarieties.vt_name AS Expr1, tblWines.wt_year, tblWines.wt_shortDescription, tblWines.wt_description, tblWines.wt_readilyAvailable, 
					  tblWines.wt_price, tblWines.wt_wineID, tblWines.wt_offeringID
	FROM         tblOfferings INNER JOIN
					  tblWines ON tblOfferings.ot_offeringID = tblWines.wt_offeringID INNER JOIN
					  tblVintner ON tblWines.wt_vintnerID = tblVintner.vt_vintnerID INNER JOIN
					  tblWineTypes ON tblWines.wt_wineTypeID = tblWineTypes.wtt_ID INNER JOIN
					  tblRegion ON tblWines.wt_regionID = tblRegion.rt_id INNER JOIN
					  tblVarieties ON tblWines.wt_varietiesID = tblVarieties.vt_id	
	<cfif getOfferings.RecordCount GT 0>	
		WHERE tblOfferings.ot_offeringID <> #getOfferings.ot_offeringID#
	</cfif>
</cfquery>
