<!--- final.cfm --->

<cfset pageHeader = "Your Wine Order is Complete!">

<cfparam name="orderNumber" default="0">
<cfif Not isDefined('session.shoppingCart')>
	<cflocation url="index.cfm" addtoken="no">
</cfif>

<cfif isDefined('form.btnFinalize')>
	<cfloop list="#FieldNames#" index="a">
		<cfif ListLen(a,'_') GTE 2>
			<cfset id =  ListGetAt(a,2,'_')>
			<cfset shipping =  Evaluate(a)>
			<cfset session.shoppingCart.updateShipping(id,shipping)>
		</cfif>	
	</cfloop>
	
	<cfset qContactInfo = session.shoppingCart.getOrderDetails()>
	<cfquery name="getAdminInfo" datasource="#application.dsn#">
		SELECT top 1 *
		FROM tblAdmin			
	</cfquery>
	 <!---bcc="#getAdminInfo.at_sommelierEmailAddress#"  --->
	<cfset orderNumber = session.shoppingCart.finalizeOrder()>
	 <cfmail subject="Wine Offerings Order Confirmation" to="#qContactInfo.to_emailaddress#"  from="ldarling@mayacama.com" type="html"> 
		<html>
		<style>
			.dollar{text-align:right;}
			.grandTotal {padding:10px;}
			body{margin:0;padding:0;background-color:##FFFFFF;font-family: Tahoma,verdana,sans-serif;font-size:12px;color:##000000;}	
			th .special{width:300px;}
			td .special{width:150px;vertical-align:bottom;}

		</style>
		<body>
		<table width="550" id="shoppingcart" cellpadding="2" cellspacing="0" border="0">
	 		<tr>
				<th colspan="4" nowrap="nowrap">Your order has been placed and will be processed shortly. For you reference the order number is #orderNumber#.</th>
			</tr>
			<tr>
				<th class="special" align="left" style="padding-left:15px;">Item</th>
				<th nowrap="nowrap">Price Per Bottle</th>
				<th>Quantity</th>
				<th nowrap="nowrap" class="dollar">Subtotal</th>								
			</tr>
			
			<cfset grandTotal = 0>
			
			<cfloop index="thisCartItem" from="1" to="#arrayLen(session.shoppingCart.cart)#">
				<cfif session.shoppingCart.cart[thisCartItem].quantity NEQ 0>
					<cfset id = session.shoppingCart.cart[thisCartItem].itemID>
					<cfset price = session.shoppingCart.getItemDetails(id).wt_price>
					<cfset qty = session.shoppingCart.cart[thisCartItem].quantity>
					<cfset extendedPrice = price * qty>
					<cfset grandTotal = grandTotal + extendedPrice>
					<tr>
						<td class="special" nowrap="nowrap" align="left" style="padding-left:15px;">
							#Trim(session.shoppingCart.getItemDetails(id).wt_wineName)#
						</td>
						<td align="center">
							#DollarFormat(price)#
						</td>
						<td align="center">#qty#</td>
						<td class="dollar">
							#DollarFormat(extendedPrice)#
						</td>
					</tr>
				</cfif>
			</cfloop>
			<cfset taxes = grandTotal * getAdminInfo.at_taxRate>
			<cfset subtotal = grandTotal>
			<cfset grandTotal = grandTotal + taxes>
			<tr>
				<td colspan="2">&nbsp;</td>
				<td class="dollar" style="padding-top:10px;">Subtotal:</td>
				<td style="padding-top:10px;" class="dollar">#DollarFormat(subtotal)#</td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
				<td align="right" class="dollar" nowrap="nowrap">Tax Rate #getAdminInfo.at_taxRate * 100#%:</td>
				<td class="dollar">#DollarFormat(taxes)#</td>
			</tr>
			<tr>
				<td colspan="2">&nbsp;</td>
				<td nowrap="nowrap" class="dollar" >Grand Total:</td>
				<td class="dollar">#DollarFormat(grandTotal)#</td>
			</tr>
			</table>
			</body>	 
			</html>
	  </cfmail>  
	
</cfif>

<cfsavecontent variable="bodyContent">
	<cfoutput>
		<div class="comfirmation">Thank you for using the Mayacama online wine store.  Your order has been submitted for processing and an email confirmation will be sent to the email address you provided. 
If you have questions regarding your order, please reference wine order (#orderNumber#).
</div>
		<!--- Enter content here --->
	</cfoutput>


	
	<cfset temp = StructClear(session)>
	<cfcookie expires="now" name="mayawine">
</cfsavecontent>					

<cfinclude template="layouts/lay_default.cfm">