﻿<cfquery name="getOfferings" datasource="#application.dsn#">
	SELECT	tblOfferings.ot_offeringName, tblOfferings.ot_offeringID, tblOfferings.ot_offeringDescripton, tblOfferings.ot_offeringStartDate, tblOfferings.ot_offeringEndDate
	FROM      tblOfferings 
	WHERE	tblOfferings.ot_offeringID = #offerid#
</cfquery>

<cfquery name="getWines" datasource="#application.dsn#">
	SELECT     tblWines.wt_qtyOnHand, tblWines.wt_maxQtyPerOrder, tblWines.wt_year, tblWines.wt_shortDescription, tblWines.wt_description, 
					  tblWines.wt_readilyAvailable, tblWines.wt_price, tblRegion.rt_region, tblRegion.rt_country, tblWineTypes.wtt_name, tblWineTypes.wtt_description, 
					  tblVintner.vt_name as vintner, tblVintner.vt_description, tblVarieties.vt_name,tblVarieties.vt_name as varietal,tblWines.wt_wineName,tblWines.wt_wineID
					  ,tblWines.wt_lowthreshold
					  ,tblWines.wt_thresholdMessage,tblVintner.vt_isMember
	FROM         tblWines INNER JOIN
					  tblVintner ON tblWines.wt_vintnerID = tblVintner.vt_vintnerID INNER JOIN
					  tblVarieties ON tblWines.wt_varietiesID = tblVarieties.vt_id INNER JOIN
					  tblRegion ON tblWines.wt_regionID = tblRegion.rt_id INNER JOIN
					  tblWineTypes ON tblWines.wt_wineTypeID = tblWineTypes.wtt_ID
	WHERE wt_offeringID = #offerid#
	AND tblWines.wt_deletedatetime = '1/1/1900 12:00:00 AM'
	order  by	tblVarieties.vt_name asc,tblVintner.vt_name asc,wt_wineName
	
</cfquery>
