<!--- shippinginfo.cfm --->

<cfset docTitle="">
<cfset pageHeader="Shipping Information">
<cfset metadesc="">
<cfset keywords="">

<cfif Not isDefined('session.shoppingCart')>
	<cflocation url="index.cfm" addtoken="no">
</cfif>


<cfsavecontent variable="loadScript">
	<script type="text/javascript" language="javascript">
		function formValidation (formObj){
			var f = formObj;
			//alert(f.name);
			var errorMessage = 'The following needs to be corrected\n';
			var bError = false;
			if(f.fName.value ==''){
				bError = true;
				errorMessage += ' --You must provide a first name \n';		
			}
			if(f.lName.value ==''){
				bError = true;
				errorMessage += ' --You must provide a last name \n';		
			}
			if(f.address.value ==''){
				bError = true;
				errorMessage += ' --You must provide an address \n';		
			}
			if(f.city.value ==''){
				bError = true;
				errorMessage += ' --You must provide a city \n';		
			}
			if(f.phone.value ==''){
				bError = true;
				errorMessage += ' --You must provide a phone number \n';		
			}
			if(f.zipcode.value ==''){
				bError = true;
				errorMessage += ' --You must provide a zipcode \n';		
			}
			if(f.email.value ==''){
				bError = true;
				errorMessage += ' --You must provide an email address \n';		
			}		
			if(f.membershipID.value ==''){
				bError = true;
				errorMessage += ' --You must provide a membership ID \n';		
			}else if (f.membershipID.value.length > 6 || isNaN(f.membershipID.value)){
				bError = true;
				errorMessage += ' --The membership number you provided is not valid \n';		
			}		
			if(f.state.selectedIndex == 0){
				bError = true;
				errorMessage += ' --You must select a state\n';		
			}		
			if(bError){
				alert(errorMessage);
				return false;
			}
			return true;
		}
	</script>
</cfsavecontent>
<cfsavecontent variable="bodyContent">
	<form name="checkoutFrm" id="checkoutFrm" action="orderconfirmation.cfm" method="post" onsubmit="return formValidation(this);">
		<table width="200" cellpadding="3" cellspacing="0" border="0">
			<tr>
				<td>First Name</td>
				<td><input type="text" name="fName" value="" /></td>
			</tr>
			<tr>
				<td>Last Name</td>
				<td><input type="text"  name="lName" value="" /></td>
			</tr>
			<tr>
				<td>Address</td>
				<td><input type="text" name="address" value="" /></td>
			</tr>
			<tr>
				<td nowrap="nowrap">Address (cont'd)</td>
				<td><input type="text"  name="address2" value="" /></td>
			</tr>
			<tr>
				<td>City</td>
				<td><input type="text"  name="city" value="" /></td>								
			</tr>
			<tr>
				<td>State</td>
				<td>
					<cfoutput>#writeStateSelect('state','none',0,0)#</cfoutput>
				</td>								
			</tr>
			<tr>
				<td>Zip Code</td>
				<td><input type="text" name="zipcode" value="" /></td>								
			</tr>
			<tr>
				<td>Phone</td>
				<td><input type="text" name="phone" value="" /></td>								
			</tr>
			<tr>
				<td>Email</td>
				<td><input type="text" name="email" value="" /></td>								
			</tr>
			<tr>
				<td nowrap="nowrap">Membership Number</td>
				<td><input type="text" name="membershipID" value="" /></td>								
			</tr>						
			<tr>
				<td colspan="5"><input type="submit" value="Confirm Order" name="btnCheckout" /></td>
				
			</tr>
			
		</table>
	</form>
</cfsavecontent>

<cfinclude template="layouts/lay_default.cfm">
