<!--- shoppingcart.cfm --->

<cfset pageHeader="Shopping Cart Items">

<cfparam name="session.shoppingCart" default='#createObject("component","_cfc/orders").init(application.dsn)#'> 
<cfif isDefined('form.btnUpdate')>
	<cfset loopcount = 1>
	<cfloop list="#form.itemIDList#" index="z">
		<cfset currentQty = ListGetAt(form.qtyRequested,loopcount)>
		<cfset session.shoppingCart.updateItem(z,currentQty)>
		<cfset loopcount = loopcount + 1>
	</cfloop>
</cfif>

<cfif isDefined('form.btnCancel')>
	<cfset temp = StructClear(session)>
</cfif>

<cfif isDefined('form.wineID')>
	<cfset loopcount = 1>	
	<cfloop list="#form.wineID#" index="z">
		<cfset currentQty = ListGetAt(form.qtyRequested,loopcount)>
		 <cfset session.shoppingCart.addItem(z,currentQty)>  
		<cfset loopcount = loopcount + 1>
	</cfloop>
	<cfset session.shoppingCart.setOfferingID(form.offeringID)> 
</cfif>
<cfquery name="getAdminInfo" datasource="#application.dsn#">
	SELECT top 1 at_taxRate
	FROM tblAdmin			
</cfquery>

<cfsavecontent variable="bodyContent">
	<cfif isDefined('session.shoppingCart.cart') AND arrayLen(session.shoppingCart.cart) GT 0>
		<cfoutput>
		<table width="500" id="shoppingcart" cellpadding="0" cellspacing="0" border="0">
			<tr>
				<td colspan="5" class="notification">
					* to remove an item just enter a zero for the quantity
					<p>#session.shoppingCart.message#</p>
				</td>
			</tr>
			<tr>
				<th>Item ##</th>
				<th>Item</th>
				<th>Price</th>
				<th>Qty</th>
				<th>Extended Price</th>								
			</tr>
			
			<cfset grandTotal = 0>
			<form name="itemFrm" action="#cgi.SCRIPT_NAME#" method="post">
			<cfloop index="thisCartItem" from="1" to="#arrayLen(session.shoppingCart.cart)#">
				<input type="hidden" name="itemIDList" value="#session.shoppingCart.cart[thisCartItem].itemID#" />	
				<cfset price = session.shoppingCart.getItemDetails(session.shoppingCart.cart[thisCartItem].itemID).wt_price>
				<cfset qty = session.shoppingCart.cart[thisCartItem].quantity>
				<cfset extendedPrice = price * qty>
				<cfset grandTotal = grandTotal + extendedPrice>
				<cfset message = session.shoppingCart.cart[thisCartItem].message>
				<tr>
					<td>
						<cfif Len(message)>
							<span class="notification2">*</span>
						<cfelse>
							&nbsp;
						</cfif>
						#thisCartItem#											
					</td>
					<td>
						#session.shoppingCart.getItemDetails(session.shoppingCart.cart[thisCartItem].itemID).wt_wineName#
					</td>
					<td>
						#DollarFormat(price)#
					</td>
					<td>
						<input type="text" style="font-size:12px; width:22px;" name="qtyRequested" value="#qty#" />
						
					</td>
					<td>
						#DollarFormat(extendedPrice)#
					</td>
				</tr>
			</cfloop>
			<cfset taxes = grandTotal * getAdminInfo.at_taxRate>
			<cfset subtotal = grandTotal>
			<cfset grandTotal = grandTotal + taxes>
			<tr>
				<td colspan="3">&nbsp;</td>
				<td class="dollar" style="padding-top:10px;">Subtotal:</td>
				<td style="padding-top:10px;" class="dollar">#DollarFormat(subtotal)#</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;</td>
				<td align="right" class="dollar" nowrap="nowrap">Tax Rate #getAdminInfo.at_taxRate * 100#%:</td>
				<td class="dollar">#DollarFormat(taxes)#</td>
			</tr>
			<tr>
				<td colspan="3">&nbsp;</td>
				<td nowrap="nowrap" class="dollar" >Grand Total:</td>
				<td class="dollar">#DollarFormat(grandTotal)#</td>
			</tr>
			<tr>
				<td colspan="5" class="submitBtn"  align="center"><input style="font-size:12px;" name="btnUpdate" type="submit" value="Update" /></td>
			</tr>
			</form>
			<form name="checkoutFrm" action="shippinginfo.cfm" method="post">
			<tr>
				<td colspan="5" class="submitBtn" align="center"><input type="submit" value="Proceed to Checkout" name="btnCheckout" /></td>
				
			</tr>
			</form>
			<form name="checkoutFrm" action="shoppingcart.cfm" method="post">
			<tr>
				<td colspan="5" class="submitBtn" align="center">
				<input type="submit" value="Cancel Order" name="btnCancel" /></td>
				
			</tr>
			</form>
			<form name="itemFrm" action="#cgi.SCRIPT_NAME#" method="post"></form>
			</table> 
		</cfoutput>
	<cfelse>
		<div style="padding-left:15px; font-size:22px;">Your shopping cart is empty</div>
	</cfif>
</cfsavecontent>				

<cfinclude template="layouts/lay_default.cfm">
					
