﻿	<cfscript>
		// Calculate basepath for FCKeditor. It's in the folder right above _samples
		basePath = '/fckeditor/';

		fckEditor = createObject( "component", "#basePath#fckeditor" ) ;
		fckEditor.instanceName	= "wt_description" ;
		fckEditor.value			= '#getData.wt_description#' ;
		fckEditor.basePath		= basePath ;
		fckEditor.width		= '550' ;
		fckEditor.height		= '300' ;
		if ( isDefined( "URL.Lang" ) )
		{
			fckEditor.config["AutoDetectLanguage"]		= false ;
			fckEditor.config["DefaultLanguage"]			= HTMLEditFormat( URL.Lang ) ;
		}
		else
		{
			fckEeditor.config["AutoDetectLanguage"]		= true ;
			fckEeditor.config["DefaultLanguage"]		= 'en' ;
		}
		//fckEditor.create() ; // create the editor.
	</cfscript>



<cfoutput>
<form name="wineFrm" action="formAction.cfm" method="post">
	<input type="hidden" name="database" value="tblWines">
	<input type="hidden" name="actionType" value="#actionType#">
	<input type="hidden" name="wt_wineID" value="#getData.wt_wineID#">
	<table cellpadding="4" cellspacing="0" border="0">
		<tr>
			<td  colspan="2" align="left"><span class="required">*</span> indicates required</td>
		</tr>
		<tr>
			<td colspan="2" align="center" style="font-size:20px; font-weight:bold;">Wine Details</td>
		</tr>		
		<tr>
			<td class="data">Wine Name<span class="required">*</span></td>
			<td><input type="text" name="wt_wineName" value="#getData.wt_wineName#" size="55"></td>
		</tr>
		<tr>
			<td class="data" colspan="2" valign="top">Wine Description (Long)<span class="required">*</span></td>
			
		</tr>
		<tr>
			<td colspan="2">
				<cfscript>
					fckEditor.create() ; // create the editor.
				</cfscript>
				
			</td>
		</tr>
	
		<tr>
			<td class="data" valign="top" colspan="2">Wine Description (Short)</td>
			
		</tr>
		<tr>
			
			<td colspan="2">
				<textarea name="wt_shortDescription" cols="40" rows="2" wrap="virtual">#getData.wt_shortDescription#</textarea>
			</td>
		</tr>
		<tr>
			<td class="data">Year<span class="required">*</span></td>
			<td>	<input type="text" name="wt_year" value="#getData.wt_year#"></td>
		</tr>
		<tr>
			<td class="data">Quantity on hand<span class="required">*</span></td>
			<td>	<input type="text" name="wt_qtyOnHand" value="#getData.wt_qtyOnHand#"></td>
		</tr>
		<tr>
			<td class="data">Max quantity per order<span class="required">*</span></td>
			<td>	<input type="text" name="wt_maxQtyPerOrder" value="#getData.wt_maxQtyPerOrder#"></td>
		</tr>
		<tr>
			<td class="data">Price/Bottle<span class="required">*</span></td>
			<td>	<input type="text" name="wt_price" value="#getData.wt_price#"></td>
		</tr>
		<tr>
			<td class="data">Readily Available<span class="required">*</span></td>
			<td>
				<input type="radio" name="wt_readilyAvailable" value="1" #IIF(getData.wt_readilyAvailable EQ 1,DE('checked="checked"'),DE('checked="checked"'))#> Yes
				<input type="radio" name="wt_readilyAvailable" value="0" #IIF(getData.wt_readilyAvailable EQ 0,DE('checked="checked"'),DE(''))#> No	
			</td>
		</tr>
		<tr>
			<td class="data">Discontinue Wine<span class="required">*</span></td>
			<td>
				<input type="radio" name="wt_deletedatetime" value="1" #IIF(getData.wt_deletedatetime EQ '',DE('checked="checked"'),DE('checked="checked"'))#> Yes
				<input type="radio" name="wt_deletedatetime" value="0" #IIF(getData.wt_deletedatetime NEQ '',DE('checked="checked"'),DE(''))#> No	
			</td>
		</tr>
		<tr>
			<td class="data" valign="top">Offering</td>
			<td>
				<select name="wt_offeringID">
					<option value="0">Select Below</option>
					<cfloop query="getOffering">
						<cfif  getOffering.ot_offeringID EQ getData.wt_offeringID >
							<option value="#getOffering.ot_offeringID#" selected="selected">#ot_offeringName#</option>
						<cfelse>
							<option value="#getOffering.ot_offeringID#">#ot_offeringName#</option>
						</cfif>					
					</cfloop>				
				</select>	
			</td>
		</tr>
		<tr>
			<td class="data" valign="top">Region</td>
			<td>
				<select name="wt_regionID">
					<option value="0">Select Below</option>
					<cfloop query="getRegion">
						<cfif getRegion.rt_id EQ getData.wt_regionID>
							<option value="#getRegion.rt_id#" selected="selected">#getRegion.rt_region# (#getRegion.rt_country#)</option>
						<cfelse>
							<option value="#getRegion.rt_id#">#getRegion.rt_region#  (#getRegion.rt_country#)</option>
						</cfif>					
					</cfloop>				
				</select>	
			</td>
		</tr>		
		<tr>
			<td class="data" valign="top">Varietal</td>
			<td>
				<select name="wt_varietiesID">
					<option value="0">Select Below</option>
					<cfloop query="getVariety">
						<cfif getVariety.vt_id EQ getData.wt_varietiesID>
							<option value="#getVariety.vt_id#" selected="selected">#getVariety.vt_name#</option>
						<cfelse>
							<option value="#getVariety.vt_id#">#getVariety.vt_name#</option>
						</cfif>					
					</cfloop>				
				</select>	
			</td>
		</tr>		
		<tr>
			<td class="data" valign="top">Vintner</td>
			<td>
				<select name="wt_vintnerID">
					<option value="0">Select Below</option>
					<cfloop query="getVintner">
						<cfif getVintner.vt_vintnerID EQ getData.wt_vintnerID>
							<option value="#getVintner.vt_vintnerID#" selected="selected">#getVintner.vt_name#</option>
						<cfelse>
							<option value="#getVintner.vt_vintnerID#">#getVintner.vt_name#</option>
						</cfif>					
					</cfloop>				
				</select>	
			</td>
		</tr>		
		<tr>
			<td class="data" valign="top">Type of Wine</td>
			<td>
				<select name="wt_wineTypeID">
					<option value="0">Select Below</option>
					<cfloop query="getWineTypes">
						<cfif getWineTypes.wtt_ID EQ getData.wt_wineTypeID>
							<option value="#getWineTypes.wtt_ID#" selected="selected">#getWineTypes.wtt_name#</option>
						<cfelse>
							<option value="#getWineTypes.wtt_ID#">#getWineTypes.wtt_name#</option>
						</cfif>					
					</cfloop>				
				</select>	
			</td>
		</tr>	

		 <tr>
			<td class="data">Low Threshold<span class="required">*</span></td>
			<td><input type="text" name="wt_lowthreshold" value="#getData.wt_lowthreshold#"></td>
		</tr>
		<tr>
			<td class="data" valign="top" colspan="2">Threshold Message<span class="required">*</span></td>
		</tr>
		<tr>
			<td valign="top" colspan="2">
				<textarea name="wt_thresholdMessage" cols="40" rows="2" wrap="virtual">#getData.wt_thresholdMessage#</textarea>
			</td> 
		</tr>	
		<tr>
			<td colspan="2" align="center"><input type="submit" value="#actionType# Wine " name="btnSubmit"><td>
	</table>
</form>
</cfoutput>