<cfapplication name="wineOfferings" sessionmanagement="yes" sessiontimeout="60" setclientcookies="no">
<cfparam name="application.dsn" default="mayacamawine">

<cfif not IsDefined("Cookie.CFID")>
	<cflock scope="SESSION" type="READONLY" timeout="5">
		<cfcookie name="CFID" value="#SESSION.CFID#">
		<cfcookie name="CFTOKEN" value="#SESSION.CFTOKEN#">
	</cflock>
</cfif>

<cfif isDefined("URL.reloadapp")>
	<cfset application.dsn = "mayacamawine">
	<cfset temp = StructClear(session)>
</cfif>

<cfif isDefined('url.clearsession')>
	<cfset temp = StructClear(session)>
	<cflocation url="index.cfm">
</cfif>

<!--- debugging? --->
<cfparam name="debug" default=0>
<cfif listFind("dragonfly,localhost",cgi.server_name)>
	<cfset debug = 1>
</cfif>
<cfcookie name="debug" value="#debug#">
<cfif not debug>
	<cfsetting enablecfoutputonly="no" showdebugoutput="no">
<cfelse>	
	<cfsetting enablecfoutputonly="no" showdebugoutput="yes">
</cfif>

<cfparam name="docTitle" default="Mayacama Wine Offering">
<cfparam name="pageHeader" default="Mayacama Wine Offering">
<cfparam name="bodyContent" default="">
<cfparam name="footerContent" default="">
<cfparam name="keywords" default="Mayacama Wine">
<cfparam name="metadesc" default="Mayacama Wine Offerings description">

<cfscript>
      function writeStateSelect(formVar,selectedVal,abbreviate,addCanada){
            /*
                  formVar = string, applied to the select as the name attribute
                  selectedVal = string, value (equiv to abbrevList value) may be passed in to set an option as selected
                  abbreviate = boolean, 1 will show only abbreviations, 0 will show full name
                  addCanada = boolean, 1 will append canadian provinces to the options
                  cssclass (optional 5th param) for class at select level
            */
            var abbrevList = "AL,AK,AZ,AR,CA,CO,CT,DE,DC,FL,GA,HI,ID,IL,IN,IA,KS,KY,LA,ME,MD,MA,MI,MN,MS,MO,MT,NE,NV,NH,NJ,NM,NY,NC,ND,OH,OK,OR,PA,RI,SC,SD,TN,TX,UT,VT,VA,WA,WV,WI,WY";
            var nameList = "Alabama,Alaska,Arizona,Arkansas,California,Colorado,Connecticut,Delaware,District of Columbia,Florida,Georgia,Hawaii,Idaho,Illinois,Indiana,Iowa,Kansas,Kentucky,Louisiana,Maine,Maryland,Massachusetts,Michigan,Minnesota,Mississippi,Missouri,Montana,Nebraska,Nevada,New Hampshire,New Jersey,New Mexico,New York,North Carolina,North Dakota,Ohio,Oklahoma,Oregon,Pennsylvania,Rhode Island,South Carolina,South Dakota,Tennessee,Texas,Utah,Vermont,Virginia,Washington,West Virginia,Wisconsin,Wyoming";
            var provCodeList = ",,AB,BC,MB,NB,NL,NT,NS,NU,ON,PE,QC,SK,YT";
            var provList = ",-- CANADIAN PROVINCES --,Alberta,British Columbia,Manitoba,New Brunswick,Newfoundland and Labrador,Northwest Territories,Nova Scotia,Nunavut,Ontario,Prince Edward Island,Quebec,Saskatchewan,Yukon";
            var cssclass="none";
            if(ArrayLen(arguments) eq 5){
                  cssclass = arguments[5];
            }
            if(addCanada eq 1){
                  abbrevList = abbrevList & provCodeList;
                  nameList = nameList & provList;
            }
            stateSelect = "<select name=""" & formVar & """ class=""" & cssclass & """>";
            stateSelect = stateSelect & "<option value="""">Select State" & iif(addCanada eq 1,DE(" or Province"),DE("")) & "</option>";
            for(i = 1;i lte listLen(abbrevList);i=i+1){
                  stateSelect = stateSelect & "<option value=""" & listGetAt(abbrevList,i) & """ " & iif(selectedVal eq listGetAt(abbrevList,i),DE("selected"),DE("")) & ">" & iif(abbreviate eq 1,DE(listGetAt(abbrevList,i)),DE(listGetAt(nameList,i)))  & "</option>";
            }
            stateSelect = stateSelect & "</select>";
            
            return stateSelect;
      }
</cfscript>