<!--- index.cfm --->

<cfset docTitle="">
<cfset pageHeader="">
<cfset metadesc="">
<cfset keywords="">
<cfparam name="message" default="">

<cfif isDefined('form.btnCancel')>
	<cfset temp = StructClear(session)>
	<cfcookie expires="now" name="mayawine">
</cfif>
<cfparam name="session.shoppingCart" default='#createObject("component","_cfc/orders").init(application.dsn)#'> 
<cfinclude template="queries/qry_getOfferings.cfm">

<cfset offerid = getOfferings.wt_offeringID>
<cfset session.shoppingCart.setOfferingID(offerid)> 
<cfinclude template="queries/qry_getOffering.cfm">
<cfset pageheader = getOfferings.ot_offeringName>

 <cfoutput query="getWines">
	<cfset session.shoppingCart.addItem(wt_wineID,0)>		
</cfoutput> 

<cfif isDefined('form.btnUpdate')>
	<cfset loopcount = 1>
	<cfloop list="#form.wineID#" index="z">
		<cfset currentQty = ListGetAt(form.qtyRequested,loopcount)>
		<cfset session.shoppingCart.updateItem(z,currentQty)>
		<cfset loopcount = loopcount + 1>
	</cfloop>
</cfif>
 
<cfquery name="getAdminInfo" datasource="#application.dsn#">
	SELECT top 1 at_taxRate
	FROM tblAdmin			
</cfquery>

<cfsavecontent variable="loadScript">
	<script language="javascript" type="text/javascript">
		function viewDetails(id){ 	
			window.open("winedetails.cfm?id="+id,null,"height=500,width=400,status=no,toolbar=no,menubar=no,location=no");
	 	}
	</script>
</cfsavecontent>

<cfsavecontent variable="bodyContent">
	<cfoutput>
    	<span class="availability">available from #DateFormat(getOfferings.ot_offeringStartDate,'mmm dd, yyyy')# to
        #DateFormat(getOfferings.ot_offeringEndDate,'mmm dd, yyyy')#</span>
            <span class="offer">#getOfferings.ot_offeringDescripton#</span>
		
		
	</cfoutput>
   	<div id="wineList"></div>
		<script type="text/javascript">
            var fo = new FlashObject("swf/flashHeaderText.swf", "wineList", "550", "40", "7", "##d0c8bb");
            fo.addVariable("txt", "Wine List");	
            fo.addParam("wmode","transparent")	
            fo.write("wineList");
        </script>
	<cfset grandTotal = 0>							
		<table width="550" cellpadding="2" cellspacing="0" border="0">
		<cfoutput><form name="orderFrm" method="post" action="#cgi.SCRIPT_NAME#"></cfoutput>
			<cfoutput query="getWines" group="wtt_name">
					<cfoutput group="vt_name">
							<cfif getWines.currentRow EQ 1>
							<tr valign="top">
								<th colspan="4">&nbsp;</th>						   
							    <th>Unit <br />Price</th>
								<th width="85px;">Avail.<br />Qty</th>
								<th align="center">Quantity</th>
							    <th class="dollar">Subtotal</th>
							</tr>
							</cfif>
						<tr>
							<td colspan="8">
								<h4>#varietal#</h4>
							</td>
						</tr>											
						<cfoutput>
							<input type="hidden" name="wineID" value="#wt_wineID#" />
							<tr>								
								<td colspan="8">
									&nbsp;&nbsp;<a href="javascript:void(0);" onClick="viewDetails(#wt_wineID#)">
										#vintner# #iif(getWines.vt_isMember,DE('*'),DE(''))#
										"#wt_wineName#"
										#wt_year#</a>
									</td>							
							</tr>
							<tr>
								<td colspan="2" width="125px;">&nbsp;</td>
								<td align="right">#rt_country#</td>
								<td >#rt_region#</td>
									<cfloop index="thisCartItem" from="1" to="#arrayLen(session.shoppingCart.cart)#">
										<cfif session.shoppingCart.cart[thisCartItem].itemID eq getWines.wt_wineID>
											<cfset price = session.shoppingCart.getItemDetails(session.shoppingCart.cart[thisCartItem].itemID).wt_price>
											<cfset qty = session.shoppingCart.cart[thisCartItem].quantity>
											<cfset extendedPrice = price * qty>
											<cfset grandTotal = grandTotal + extendedPrice>
											<cfset message = session.shoppingCart.cart[thisCartItem].message>
											<td align="center">
												#DollarFormat(price)#
											</td>
											<td align="center">#wt_qtyOnHand#</td>
											<td align="center" nowrap="nowrap">
												<cfif wt_qtyOnHand NEQ 0>
													<input type="text" class="inputHome" name="qtyRequested" value="#qty#" />
													<cfif Len(message)>
														<span class="notification2">* </span>
													<cfelse>
														&nbsp;
													</cfif>
												<cfelse>
													<input type="hidden" name="qtyRequested" value="0" />
													<span class="notification">Sold Out</span>
												</cfif>
											</td>
											<td class="dollar">
												#DollarFormat(extendedPrice)#
											</td>
										</cfif>
									</cfloop>
								
							</tr>
							<cfif Len(message)>
							<tr>
								<td class="notification2" colspan="8" nowrap="nowrap">
									#message#
								</td>
							</tr>								
							</cfif>
							<cfif wt_qtyOnHand LTE wt_lowthreshold AND wt_qtyOnHand NEQ 0>
							<tr>
								<td class="notification2" colspan="8" nowrap="nowrap">
									#wt_thresholdMessage#
								</td>
							</tr>								
							</cfif>
							<tr>
                            	<td class="shortdescription" colspan="8">
									#Trim(wt_shortDescription)#&nbsp;
								</td>   													
							</tr>
							
						</cfoutput>
					</cfoutput>
				</cfoutput>
				<cfset taxes = grandTotal * getAdminInfo.at_taxRate>
				<cfset subtotal = grandTotal>
				<cfset grandTotal = grandTotal + taxes>
				<cfoutput>
				<tr>
					<td colspan="6">&nbsp;</td>
					<td class="dollar">Subtotal:</td>
					<td class="dollar">#DollarFormat(subtotal)#</td>
				</tr>
				<tr>
					<td colspan="6">&nbsp;</td>
					<td class="dollar" nowrap="nowrap">Tax Rate #getAdminInfo.at_taxRate * 100#%:</td>
					<td class="dollar">#DollarFormat(taxes)#</td>
				</tr>
				<tr>
					<td colspan="6">&nbsp;</td>
					<td nowrap="nowrap" class="dollar" >Grand Total:</td>
					<td class="dollar">#DollarFormat(grandTotal)#</td>
				</tr>
				</cfoutput>
				
				<tr>
					<td colspan="8" class="homeSubmitBtn">
						<input style="font-size:12px;" name="btnUpdate" type="submit" value="Update" />
					</td>
				</tr>
				<tr>
					<td colspan="8" class="homeSubmitBtn">
						<input type="submit" value="Cancel Order" name="btnCancel" />
					</td>
					
				</tr>
				</form>
				<cfif grandTotal NEQ '0'>
					<form name="checkoutFrm" action="shippinginfo.cfm" method="post">
						<tr>
							<td colspan="8" class="submitBtn" align="center">
								<input type="submit" value="Proceed to Checkout" name="btnCheckout" />
							</td>										
						</tr>
					</form>
				</cfif>
			</table>
</cfsavecontent>

<cfinclude template="layouts/lay_default.cfm">
							
					